Package org.apache.commons.jxpath

# Class BasicNodeSet

java.lang.Object
org.apache.commons.jxpath.BasicNodeSet

All Implemented Interfaces:
  `NodeSet`

public class BasicNodeSet extends Object implements NodeSet
A simple implementation of `NodeSet` that behaves as a collection of pointers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicNodeSet()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(NodeSet nodeSet)`
  Add the specified NodeSet to this NodeSet.
  `void`
  `add(Pointer pointer)`
  Add a pointer to this NodeSet.
  `List`
  `getNodes()`
  Returns a list of nodes.
  `List<Pointer>`
  `getPointers()`
  Returns a list of pointers for all nodes in the set.
  `List`
  `getValues()`
  Returns a list of values of all contained pointers.
  `void`
  `remove(Pointer pointer)`
  Remove a pointer from this NodeSet.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BasicNodeSet

    public BasicNodeSet()
    Constructs a new instance.

- ## Method Details

  - ### add

    public void add(NodeSet nodeSet)
    Add the specified NodeSet to this NodeSet.
    Parameters:
      `nodeSet` - to add

  - ### add

    public void add(Pointer pointer)
    Add a pointer to this NodeSet.
    Parameters:
      `pointer` - to add

  - ### getNodes

    public List getNodes()
    Description copied from interface: `NodeSet`
    Returns a list of nodes.
    Specified by:
      `getNodes` in interface `NodeSet`
    Returns:
      List

  - ### getPointers

    public List<Pointer> getPointers()
    Description copied from interface: `NodeSet`
    Returns a list of pointers for all nodes in the set.
    Specified by:
      `getPointers` in interface `NodeSet`
    Returns:
      List

  - ### getValues

    public List getValues()
    Description copied from interface: `NodeSet`
    Returns a list of values of all contained pointers.
    Specified by:
      `getValues` in interface `NodeSet`
    Returns:
      List

  - ### remove

    public void remove(Pointer pointer)
    Remove a pointer from this NodeSet.
    Parameters:
      `pointer` - to remove

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`